Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
Class SimpleGrailsController

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.SimpleGrailsController

All Implemented Interfaces:
  ServletContextAware, Controller

    public class SimpleGrailsController

extends Object
implements Controller, ServletContextAware

Base class for Grails controllers.

Since:
  Jul 2, 2005
Author:
  Steven Devijver

Field Summary
`static String` | `APPLICATION_CONTEXT_ID`

Constructor Summary
`SimpleGrailsController()`

Method Summary
`ServletContext` | `getServletContext()`
`ModelAndView` | `handleRequest(HttpServletRequest request, HttpServletResponse response)` This method wraps regular request and response objects into Grails request and response objects.
`void` | `setGrailsApplication(GrailsApplication application)`
`void` | `setServletContext(ServletContext servletContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION_CONTEXT_ID

    public static final String APPLICATION_CONTEXT_ID

See Also:
  Constant Field Values

Constructor Detail

### SimpleGrailsController

    public SimpleGrailsController()

Method Detail

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication application)

### handleRequest

    public ModelAndView handleRequest(HttpServletRequest request,
                                      HttpServletResponse response)
                               throws Exception

  This method wraps regular request and response objects into Grails request and response objects.

  It can handle maps as model types next to ModelAndView instances.

  Specified by:
    `handleRequest` in interface `Controller`
  Parameters:
    `request` - HTTP request
    `response` - HTTP response
  Returns:
    the model
  Throws:
    `Exception`

### setServletContext

    public void setServletContext(ServletContext servletContext)

  Specified by:
    `setServletContext` in interface `ServletContextAware`

### getServletContext

    public ServletContext getServletContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project